API
LinkedIn API
The AI-powered LinkedIn provides 360° Global Media Data & Intelligence on LinkedIn professionals, recruiters, B2B marketers, company page managers, and thought leaders.
API Reference Version: 1.0.0 2 Endpoints Authentication
Base URL
https://pressmonitor.ca/api Authentication
All requests require x-api-key and x-subscription-id headers. x-api-key authenticates your account; x-subscription-id selects the subscribed service.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/linkedin_profile LinkedIn Profil
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username | string | query | Yes | Username |
Code Examples
curl -X GET \
"https://pressmonitor.ca/api/linkedin_profile?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/linkedin_company LinkedIn Entreprise
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| company_id | string | query | Yes | Company ID |
Code Examples
curl -X GET \
"https://pressmonitor.ca/api/linkedin_company?company_id=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success